strnatcmp
strncmp
String Functions
PHP Manual

# strncasecmp

(PHP 4 >= 4.0.2, PHP 5)

strncasecmp — Binary safe case-insensitive string comparison of the first n characters

### Description

int strncasecmp ( string `$str1` , string `$str2` , int `$len` )

This function is similar to strcasecmp(), with the difference that you can specify the (upper limit of the) number of characters from each string to be used in the comparison.

### Parameters

`str1`

  The first string.

`str2`

  The second string.

`len`

  The length of strings to be used in the comparison.

### Return Values

Returns < 0 if `str1` is less than `str2`; > 0 if `str1` is greater than `str2`, and 0 if they are equal.

### See Also

- strncmp() - Binary safe string comparison of the first n characters
- preg_match() - Perform a regular expression match
- substr_compare() - Binary safe comparison of two strings from an offset, up to length characters
- strcasecmp() - Binary safe case-insensitive string comparison
- stristr() - Case-insensitive strstr
- substr() - Return part of a string

strnatcmp
strncmp
String Functions
PHP Manual